Subject: MIPS: [PATCH] Fix on Kconfig warning, building for Fuloong2f

From: Lluís Batlle i Rossell <[email-masked]>
Date: Thu, 19 Jan 2012 22:08:29 +0100

I resubmit the patch I sent some minutes ago, now following better
Documentation/SubmittingPatches.

Regards,
Lluís.
>From 533a82b8ffec030d316e22d01a16211c0a3c645d Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Llu=C3=ADs=20Batlle=20i=20Rossell?= <[email-masked]>
Date: Thu, 19 Jan 2012 21:35:44 +0100
Subject: [PATCH] Remove a warning I saw on 'make nconfig' for the Fuloong2F.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

The warning was:
warning: (LEMOTE_FULOONG2E && LEMOTE_MACH2F && DEXXON_GDIUM) selects
ARCH_SPARSEMEM_ENABLE which has unmet direct dependencies
(CPU_CAVIUM_OCTEON)

I followed advices from daney on irc.

I don't know how to test it, but now I don't see the warning at least.

Signed-off-by: Lluís Batlle i Rossell <[email-masked]>
---
 arch/mips/Kconfig               |    1 +
 arch/mips/cavium-octeon/Kconfig |    4 ----
 2 files changed, 1 insertions(+), 4 deletions(-)

diff --git a/arch/mips/Kconfig b/arch/mips/Kconfig
index d46f1da..330800d 100644
--- a/arch/mips/Kconfig
+++ b/arch/mips/Kconfig
@@ -1404,6 +1404,7 @@ config CPU_CAVIUM_OCTEON
 	select WEAK_ORDERING
 	select CPU_SUPPORTS_HIGHMEM
 	select CPU_SUPPORTS_HUGEPAGES
+	select ARCH_SPARSEMEM_ENABLE
 	help
 	  The Cavium Octeon processor is a highly integrated chip containing
 	  many ethernet hardware widgets for networking tasks. The processor
diff --git a/arch/mips/cavium-octeon/Kconfig b/arch/mips/cavium-octeon/Kconfig
index cad555e..15ba565 100644
--- a/arch/mips/cavium-octeon/Kconfig
+++ b/arch/mips/cavium-octeon/Kconfig
@@ -82,10 +82,6 @@ config CAVIUM_OCTEON_LOCK_L2_MEMCPY
 	help
 	  Lock the kernel's implementation of memcpy() into L2.
 
-config ARCH_SPARSEMEM_ENABLE
-	def_bool y
-	select SPARSEMEM_STATIC
-
 config CAVIUM_OCTEON_HELPER
 	def_bool y
 	depends on OCTEON_ETHERNET || PCI
-- 
1.7.8